Search Overrides - Fabric

Search Overrides

cURL

curl --request POST \
  --url 'https://api.fabric.inc/v3/location-capacity/search?limit=10' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "sort": "-capacityOverride.createdAt",
  "filters": [
    {
      "field": "capacityOverride.status",
      "value": "CREATED",
      "condition": "EQ"
    }
  ]
}
'

Python

import requests

url = "https://api.fabric.inc/v3/location-capacity/search?limit=10"

payload = {
    "sort": "-capacityOverride.createdAt",
    "filters": [
        {
            "field": "capacityOverride.status",
            "value": "CREATED",
            "condition": "EQ"
        }
    ]
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    sort: '-capacityOverride.createdAt',
    filters: [{field: 'capacityOverride.status', value: 'CREATED', condition: 'EQ'}]
  })
};

fetch('https://api.fabric.inc/v3/location-capacity/search?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/location-capacity/search?limit=10",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'sort' => '-capacityOverride.createdAt',
    'filters' => [
        [
                'field' => 'capacityOverride.status',
                'value' => 'CREATED',
                'condition' => 'EQ'
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.fabric.inc/v3/location-capacity/search?limit=10"

payload := strings.NewReader("{\n  \"sort\": \"-capacityOverride.createdAt\",\n  \"filters\": [\n    {\n      \"field\": \"capacityOverride.status\",\n      \"value\": \"CREATED\",\n      \"condition\": \"EQ\"\n    }\n  ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java (Unirest)

HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/location-capacity/search?limit=10")
  .header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"sort\": \"-capacityOverride.createdAt\",\n  \"filters\": [\n    {\n      \"field\": \"capacityOverride.status\",\n      \"value\": \"CREATED\",\n      \"condition\": \"EQ\"\n    }\n  ]\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.fabric.inc/v3/location-capacity/search?limit=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"sort\": \"-capacityOverride.createdAt\",\n  \"filters\": [\n    {\n      \"field\": \"capacityOverride.status\",\n      \"value\": \"CREATED\",\n      \"condition\": \"EQ\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body

Responses

Success (200)

{
  "pagination": {
    "limit": 10,
    "offset": 1,
    "count": 1000
  },
  "data": [
    {
      "capacity": 30,
      "schedule": {
        "startDate": "2022-05-12T09:30:31Z",
        "endDate": "2022-05-12T09:30:31Z"
      },
      "reasonCode": "holiday",
      "capacityOverrideId": "9320183a01e214",
      "capacityOverrideNumber": "capacityOverride1",
      "locationNumber": "23",
      "status": "CREATED",
      "notes": "Any additional info",
      "createdBy": "Carl Doe",
      "createdAt": "2022-05-12T09:30:31Z",
      "updatedBy": "Carl Doe",
      "updatedAt": "2022-05-12T09:30:31Z",
      "auditLogs": [
        {
          "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
          "auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
          "auditType": "CANCEL",
          "employeeId": 6227,
          "auditedAt": "2023-03-12T09:24:54.804Z",
          "source": "POS",
          "reasonCode": "Scratched item",
          "subReasonCode": "Scratched item",
          "policyCode": "POS",
          "note": "Note",
          "lineItemNumber": 1,
          "sku": "SKU0023",
          "quantity": 1,
          "amount": 2.4,
          "paymentToken": {
            "token": "pi_34tr6787rt",
            "paymentType": "VISA"
          },
          "updatedFields": [
            {
              "fieldName": "UOM",
              "fieldOriginalValue": "PK"
            }
          ],
          "attributes": {
            "key": "value"
          },
          "isSuccess": true
        }
      ]
    }
  ],
  "stats": [
    "<string>"
  ]
}

Client Error (400)

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing",
  "errors": [
    {
      "type": "CLIENT_ERROR",
      "errorCode": "SERVICE-4002",
      "message": "Invalid value(s) specified for 'requiredField.field3'",
      "errors": []
    }
  ],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders"
  }
}

Unauthorized Error (401)

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4001",
  "message": "Unauthorized request",
  "errors": [],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders/OrderId_12345"
  }
}

Server Error (500)

{
  "type": "SERVER_ERROR",
  "errorCode": "SERVICE-5000",
  "message": "Internal server error",
  "errors": [],
  "context": {
    "service": "inventories",
    "endpoint": "POST /v3/inventories/actions/find-by-geography"
  }
}

Parameters

Authorizations

Headers

Query Parameters

Body

Responses